Skip to content

MAC Registration (UNKNOWN)

Overview

The MAC Registration REST APIs and Model, allow the creation, deletion, and modification of MAC registration list, and MAC registrations.

What This API Does

  • Create, modify, and delete MAC registration list and MAC registrations

Error Handling

The API uses standard HTTP status codes with detailed error messages in the response body.

Common Error Responses

All endpoints may return these common error responses:

  • 400 Bad Request: Invalid input data or validation errors
  • 401 Unauthorized: Missing or invalid authentication
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Requested resource doesn't exist
  • 409 Conflict: Resource conflict (e.g., duplicate names)
  • 422 Unprocessable Entity: Business rule violations
  • 500 Internal Server Error: Unexpected server errors
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud/
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud/
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud/

Registration Pool

Operations

Change Policy Set for Pool

Request

Path
idstring(uuid)required

Registration pool id

policySetIdstringrequired

Policy set id

No request payload

Responses

The update request has been accepted and is in progress

Body
requestIdstringrequired
idstring

Only present for the create operation.

Response
{ "requestId": "string", "id": "string" }

Remove Policy Set from Pool

Request

Path
idstring(uuid)required

Registration pool id

policySetIdstringrequired

Policy set id

No request payload

Responses

The remove request has been accepted and is in progress

Body
requestIdstringrequired
idstring

Only present for the create operation.

Response
{ "requestId": "string", "id": "string" }

Search Registration Pools by Criteria

Request

Query
pageinteger>= 0

Zero-based page index (0..N)

Default 0
sizeinteger>= 1

The size of the page to be returned

Default 20
sortArray of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Bodyrequired
searchCriteriaListArray of objects(SearchCriteria)
dataOptionstring
Example: "ALL"
{ "searchCriteriaList": [ {} ], "dataOption": "ALL" }

Responses

Registration pools

Body
totalPagesinteger(int32)
totalElementsinteger(int64)
sizeinteger(int32)
contentArray of objects(Pool)
numberinteger(int32)
sortobject(SortObject)
pageableobject(PageableObject)
numberOfElementsinteger(int32)
firstboolean
lastboolean
emptyboolean
Response
{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "paged": true, "pageNumber": 0, "pageSize": 0, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

List Registration Pools

Request

Query
pageinteger>= 0

Zero-based page index (0..N)

Default 0
sizeinteger>= 1

The size of the page to be returned

Default 20
sortArray of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

No request payload

Responses

Registration pools

Body
totalPagesinteger(int32)
totalElementsinteger(int64)
sizeinteger(int32)
contentArray of objects(Pool)
numberinteger(int32)
sortobject(SortObject)
pageableobject(PageableObject)
numberOfElementsinteger(int32)
firstboolean
lastboolean
emptyboolean
Response
{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "paged": true, "pageNumber": 0, "pageSize": 0, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Returns the Specific Registration Pool

Request

Path
idstring(uuid)required

Registration pool id

Example: f1ae11f2-1390-47c1-b05e-8377180c2b27
No request payload

Responses

Registration pool

Body
idstring(uuid)

The unique identifier for this pool.

namestring[ 0 .. 255 ] charactersrequired

The unique reference name of the pool.

descriptionstring[ 0 .. 255 ] characters

A description of the pool.

autoCleanupboolean

A toggle determining whether MAC registrations that are 24 hours past the expiration time will be automatically removed from the pool.

Default true
expirationTypestring

Defines the rule for expiration date calculation.

Enum"SPECIFIED_DATE""MINUTES_AFTER_TIME""HOURS_AFTER_TIME""DAYS_AFTER_TIME""WEEKS_AFTER_TIME""MONTHS_AFTER_TIME""QUARTERS_AFTER_TIME""YEARS_AFTER_TIME""END_OF_HOUR""END_OF_DAY"
expirationOffsetinteger(int32)

If the expiration type is not specified_date then this field is the offset amount.

expirationDatestring(date-time)

If the expiration type is specified_date then this field is the related date.

ssidRegexstring[ 0 .. 255 ] characters

A regex to determine which SSIDs this registration pool will allows access to.

expirationEnabledboolean

If the expiration setting is enabled for new MAC registration.

Default false
registrationCountinteger(int32)

Number of registrations in the pool.

defaultAccessstring

The type of default access.

Default "ACCEPT"
Enum"ACCEPT""REJECT"
createdDatestring(date-time)

The created date of this pool.

policySetIdstring

The policy set of this pool.

isReferencedboolean

This pool is referenced by an identity group and cannot be deleted.

networkCountinteger(int32)

Number of networks associated with this pool.

identityGroupIdstring

The identity group of this pool.

identityIdstring

The single identity policy of this pool.

_linksobject(Links)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "autoCleanup": true, "expirationType": "SPECIFIED_DATE", "expirationOffset": 0, "expirationDate": "2019-08-24T14:15:22Z", "ssidRegex": "string", "expirationEnabled": false, "registrationCount": 0, "defaultAccess": "ACCEPT", "createdDate": "2019-08-24T14:15:22Z", "policySetId": "string", "isReferenced": true, "networkCount": 0, "identityGroupId": "string", "identityId": "string", "_links": { "property1": {}, "property2": {} } }

MAC Registration

Operations

Assign Registration Pool Identity Group

Operations

Wifi Network

Operations